import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增商户店铺管理
    addmallstore(data) {
        return request({
            url: '/mall/store', 
            method: 'post',
            data
        })
    },
    //修改商户店铺管理
    editmallstore(data) {
        return request({
            url: '/mall/store/edit',
            method: 'post',
            data
        })
    },
    //查询商户店铺管理列表
    mallstorelist(data) {
        return request({
            url: '/mall/store/list',
            method: 'get',
            params: data
        })
    },
    //获取商户店铺管理详细信息
    mallstoredata(data) {
        return request({
            url: `/mall/store/` + data,
            method: 'get',
        })
    },
    //店铺批量删除
    mallstorebatchRemove(data) {
        return request({
            url: '/mall/store/batchRemove',
            method: 'post',
            data
        })
    },
}